ipe::Ipelet Class Referenceabstract
The Ipelet interface

`#include <ipelet.h>`

## Public Member Functions

virtual | ~Ipelet ()=0
virtual int | ipelibVersion () const =0
virtual bool | run (int function, IpeletData *data, IpeletHelper *helper)=0

## Detailed Description

Abstract base class for Ipelets.

## Constructor & Destructor Documentation

## ~Ipelet()

Ipelet::~Ipelet | ( |  | ) |

pure virtual

Pure virtual destructor.

## Member Function Documentation

## ipelibVersion()

virtual int ipe::Ipelet::ipelibVersion | ( |  | ) | const

pure virtual

Return the version of Ipelib the Ipelet was linked against.

## run()

virtual bool ipe::Ipelet::run | ( | int | function,
|  | IpeletData * | data,
|  | IpeletHelper * | helper )

pure virtual

Run a function from the Ipelet.

Return true if page was changed and undo registration is necessary.

The documentation for this class was generated from the following files:

- ipelet.h
- ipeutils.cpp